IFAPI_CONFIG Struct Reference

`#include <ifapi_config.h>`

## Data Fields

char * | profile_dir
char * | user_dir
char * | keystore_dir
char * | profile_name
char * | tcti
char * | log_dir
TPML_PCR_SELECTION | system_pcrs
TPMT_HA | ek_fingerprint
char * | ek_cert_file
TPMI_YES_NO | ek_cert_less
char * | web_cert_service
char * | firmware_log_file
char * | ima_log_file

## Detailed Description

Type for storing FAPI configuration

## Field Documentation

## ek_fingerprint

TPMT_HA ek_fingerprint

Fingerprint of EK

## keystore_dir

char* keystore_dir

Directory storing key and NV objects

## log_dir

char* log_dir

The directory for event logs

## profile_dir

char* profile_dir

Path for profile directory

## profile_name

char* profile_name

Name the used profile

## system_pcrs

TPML_PCR_SELECTION system_pcrs

The PCRs used by IMA etc.

## tcti

char* tcti

The used tcti interface

## user_dir

char* user_dir

Directory storing NV objects

## web_cert_service

char* web_cert_service

Certificate service for Intel/AMD TPMs

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_config.h